// Generated by CoffeeScript 1.10.0
// Compiled from CoffeeScript: https://github.com/roflmuffin/node-anime-scraper/blob/dc22f7a27b573ecca8c9114f9f2c32fc3e71204a/src/cookie-storage.coffee
var CloudCookie, Promise, _, debug, fs, path;

Promise = require('bluebird');

fs = Promise.promisifyAll(require('fs'));

path = require('path');

debug = require('debug')('cookies');

_ = require('lodash');

CloudCookie = (function() {
  var DEFAULT_OPTIONS;

  DEFAULT_OPTIONS = {
    directory: 'data',
    cookie_filename: 'cloudflare.cookie'
  };

  function CloudCookie(options) {
    this.options = _.merge(DEFAULT_OPTIONS, options);
    this.options.directory = path.join(__dirname, '..', this.options.directory);
    this.options.cookie_path = path.join(this.options.directory, this.options.cookie_filename);
  }

  CloudCookie.prototype.saveCookie = function(cookie_string) {
    if (!fs.existsSync(this.options.directory)) {
      fs.mkdirSync(this.options.directory);
    }
    return fs.writeFileSync(this.options.cookie_path, cookie_string);
  };

  CloudCookie.prototype.loadCookie = function() {
    if (fs.existsSync(this.options.cookie_path)) {
      return fs.readFileSync(this.options.cookie_path).toString().trim();
    } else {
      return '';
    }
  };

  return CloudCookie;

})();

module.exports = CloudCookie;
